> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/all-positions.md).

# All Positions

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/AllPositions`

\
**QUERY PARAMETERS**

| Request Parameter | Description    | Mandatory |
| ----------------- | -------------- | --------- |
| broker            | Broker code    | Yes       |
| symbol            | Trading Symbol | Yes       |
| exchange          | Exchange       | Yes       |
| product           | Product type   | Yes       |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/AllPositions
```

{% endcode %}

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",
"data":
{
 "broker":"sm",
 "symbol":"YESBANK",
 "exchange":"BSE",
 "product":"MIS"
}
}

```

{% endcode %}

{% code title="Response example:" %}

```
{
"status": "success",
"data": {
 "exchange": "BSE",
 "token": "532648_BSE",
 "product": "MIS",
 "symbol": "YESBANK",
 "cfbuyqty": 0,
 "cfbuyavgprc": 0,
 "cfsellqty": 0,
 "cfsellavgprc": 0,
 "bqty": 1,
 "buyavgprc": 15.34,
 "sqty": 0,
 "sellavgprc": 0,
 "netqty": 1,
 "netbuyavgprc": -15.34,
 "netsellavgprc": 0,
 "netamt": 1,
 "ltp": 15.36,
 "bep": -15.34,
 "realisedprofitloss": 0,
 "unrealisedprofitloss": 0.02,
 "mtm": 0.02,
 "netavgprc": -15.34,
 "tick_size": 0.01,
 "lot_size": 1,
 "broker_exchange": "BSE",
 "broker_token": "",
 "ws_msg": {
     "exchange": "BSE",
     "token": "532648_BSE"
 }
}
}
        
```

{% endcode %}
